%define major   1
%define libname %mklibname %{name} %{major}
%define	devname %mklibname %{name} -d

Name:           oaml
Version:        1.2
Release:        %mkrel 5
Summary:        Open Adaptive Music Library
Group:          System/Libraries
License:        MIT
URL:            https://oamldev.github.io
Source0:        https://github.com/oamldev/oaml/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         oaml-1.2-git-shared-library-name.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(vorbisfile)

%description
OAML is a library the makes it easy to implement adaptive music in games.

#----------------------------------------------------------------------

%package -n %{libname}
Summary:        Open Adaptive Music Library
Group:          System/Libraries

%description -n %{libname}
OAML is a library the makes it easy to implement adaptive music in games.

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

#----------------------------------------------------------------------

%package -n %{devname}
Summary:        Development files for OAML
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package is contains the development library and headers for OAML,
the Open Adaptive Music Library.

%files -n %{devname}
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so

#----------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake \
  -DENABLE_STATIC=OFF \
  -DENABLE_UNITYPLUGIN=OFF
%cmake_build

%install
%cmake_install


%changelog
* Thu Mar 24 2022 umeabot <umeabot> 1.2-5.mga9
+ Revision: 1824181
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.2-4.mga8
+ Revision: 1515631
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Sep 23 2018 umeabot <umeabot> 1.2-3.mga7
+ Revision: 1299820
- Mageia 7 Mass Rebuild

* Sun Apr 09 2017 akien <akien> 1.2-2.mga6
+ Revision: 1096191
- Fix name of shared library

* Fri Mar 17 2017 akien <akien> 1.2-1.mga6
+ Revision: 1093416
- imported package oaml

